<?php

namespace common\helpers;

class AdminLTE
{
    public static function smallBox(
        string $title,
        string $description,
        string $backgroundColor,
        string $icon,
        string $footerLinkUrl = null,
        string $footerLinkLabel = 'Voir',
        string $footerLinkIcon = 'arrow-circle-right'
    )
    {
        return \Yii::$app->getView()->renderFile('@backend/views/_include/small_box.php', [
            'title' => $title,
            'description' => $description,
            'backgroundColor' => $backgroundColor,
            'icon' => $icon,
            'footerLinkUrl' => $footerLinkUrl,
            'footerLinkLabel' => $footerLinkLabel,
            'footerLinkIcon' => $footerLinkIcon
        ]);
    }
}