<?php

use common\helpers\AdminLTE;
use common\helpers\Price;

?>

<div class="row">
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            $countProducersActive,
            'Producteurs actifs sur les 3 derniers mois',
            'aqua',
            'user'
        ) ?>
    </div>
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            $countUsersActive,
            'Clients actifs sur les 3 derniers mois',
            'aqua',
            'users'
        ) ?>
    </div>
</div>
<div class="row">
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            $countPointSalesActive,
            'Points de vente actifs sur les 3 derniers mois',
            'aqua',
            'map-marker'
        ) ?>
    </div>
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            $averageOrdersPerDay,
            'Commandes clients / jour sur les 7 derniers jours',
            'aqua',
            'shopping-cart',
            Yii::$app->urlManager->createUrl('stats-admin/turnover')
        ) ?>
    </div>
</div>
<div class="row">
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            $numberVisitsDay,
            'Visites / jour en moyenne sur les 30 derniers jours',
            'aqua',
            'eye'
        ) ?>
    </div>
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            Price::format($turnoverLastThirtyDays, 0),
            'CA total producteurs sur les 30 derniers jours',
            'aqua',
            'line-chart',
            Yii::$app->urlManager->createUrl('stats-admin/turnover')
        ) ?>
    </div>
</div>
<div class="row">
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            Price::format($amountToBillCurrentMonth, 0),
            'Total factures producteurs mois en cours',
            'green',
            'euro',
            Yii::$app->urlManager->createUrl('producer-admin/index')
        ) ?>
    </div>
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            Price::format($amountBilledLastMonth, 0),
            'Total factures producteurs du mois dernier',
            'green',
            'euro',
            Yii::$app->urlManager->createUrl('producer-admin/index')
        ) ?>
    </div>
</div>
<div class="row">
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            Price::format($amountProducerUnpaidInvoices, 0),
            'Montant factures producteurs impayées',
            'red',
            'euro',
            Yii::$app->parameterBag->get('dolibarrUrl') . 'compta/facture/list.php?leftmenu=customers_bills_notpaid&search_status=1'
        ) ?>
    </div>
</div>